com.trendmicro.ds.platform.rest.object.syslogconfiguration

## Class SyslogConfiguration

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.syslogconfiguration.SyslogConfiguration

-     public class SyslogConfiguration
      extends java.lang.Object

  Syslog configuration details.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyslogConfiguration.EventFormat` Syslog event formats.
    `static class` | `SyslogConfiguration.Facility` Syslog facility codes.
    `static class` | `SyslogConfiguration.Transport` Syslog transports.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyslogConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getCertificateChain()` The identity certificate chain the Deep Security Manager will use when it contacts the syslog server over TLS.
    `java.lang.String` | `getDescription()` The description for this syslog configuration.
    `java.lang.Boolean` | `getDirect()` The "direct delivery from agent to syslog server" flag.
    `SyslogConfiguration.EventFormat` | `getEventFormat()` The event format to use when sending syslog messages.
    `SyslogConfiguration.Facility` | `getFacility()` The facility value to send with each syslog message.
    `java.lang.Integer` | `getID()` The ID for this syslog configuration.
    `java.lang.String` | `getName()` The name for this syslog configuration.
    `java.lang.Integer` | `getPort()` The destination port for syslog messages.
    `java.lang.String` | `getPrivateKey()` The private key the Deep Security Manager will use when it contacts the syslog server over TLS.
    `java.lang.String` | `getServer()` The destination server for syslog messages.
    `SyslogConfiguration.Transport` | `getTransport()` The transport to use when sending syslog messages.
    `void` | `setCertificateChain(java.util.List<java.lang.String> certificateChain)` Set the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.
    `void` | `setDescription(java.lang.String description)` Set the description for this syslog configuration.
    `void` | `setDirect(java.lang.Boolean direct)` Set the "direct delivery from agent to syslog server" flag.
    `void` | `setEventFormat(SyslogConfiguration.EventFormat eventFormat)` Set the event format to use when sending syslog messages.
    `void` | `setFacility(SyslogConfiguration.Facility facility)` Set the facility value to send with each syslog message.
    `void` | `setID(java.lang.Integer id)` Set the ID for this syslog configuration.
    `void` | `setName(java.lang.String name)` Set the name for this syslog configuration.
    `void` | `setPort(java.lang.Integer port)` Set the destination port for syslog messages.
    `void` | `setPrivateKey(java.lang.String privateKey)` Set the private key the Deep Security Manager will use when it contacts the syslog server over TLS.
    `void` | `setServer(java.lang.String server)` Set the destination server for syslog messages.
    `void` | `setTransport(SyslogConfiguration.Transport transport)` Set the transport to use when sending syslog messages.
    `SyslogConfiguration` | `withCertificateChain(java.util.List<java.lang.String> certificateChain)` Set the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.
    `SyslogConfiguration` | `withCertificateChain(java.lang.String... certificateChain)` Set the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.
    `SyslogConfiguration` | `withDescription(java.lang.String description)` Set the description for this syslog configuration.
    `SyslogConfiguration` | `withDirect(java.lang.Boolean direct)` Set the "direct delivery from agent to syslog server" flag.
    `SyslogConfiguration` | `withEventFormat(SyslogConfiguration.EventFormat eventFormat)` Set the event format to use when sending syslog messages.
    `SyslogConfiguration` | `withFacility(SyslogConfiguration.Facility facility)` Set the facility value to send with each syslog message.
    `SyslogConfiguration` | `withID(java.lang.Integer id)` Set the ID for this syslog configuration.
    `SyslogConfiguration` | `withName(java.lang.String name)` Set the name for this syslog configuration.
    `SyslogConfiguration` | `withPort(java.lang.Integer port)` Set the destination port for syslog messages.
    `SyslogConfiguration` | `withPrivateKey(java.lang.String privateKey)` Set the private key the Deep Security Manager will use when it contacts the syslog server over TLS.
    `SyslogConfiguration` | `withServer(java.lang.String server)` Set the destination server for syslog messages.
    `SyslogConfiguration` | `withTransport(SyslogConfiguration.Transport transport)` Set the transport to use when sending syslog messages.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyslogConfiguration

          public SyslogConfiguration()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      The ID for this syslog configuration.
      Returns:
        the ID for this syslog configuration.

    - #### setID

          public void setID(java.lang.Integer id)

      Set the ID for this syslog configuration.
      Parameters:
        `id` - the ID for this syslog configuration.

    - #### withID

          public SyslogConfiguration withID(java.lang.Integer id)

      Set the ID for this syslog configuration.
      Parameters:
        `id` - the ID for this syslog configuration.
      Returns:
        the updated syslog configuration object.

    - #### getName

          public java.lang.String getName()

      The name for this syslog configuration.
      Parameters:
        `name` - the name for this syslog configuration.

    - #### setName

          public void setName(java.lang.String name)

      Set the name for this syslog configuration.
      Parameters:
        `name` - the name for this syslog configuration.

    - #### withName

          public SyslogConfiguration withName(java.lang.String name)

      Set the name for this syslog configuration.
      Parameters:
        `name` - the name for this syslog configuration.
      Returns:
        the updated syslog configuration object.

    - #### getDescription

          public java.lang.String getDescription()

      The description for this syslog configuration.
      Returns:
        the description for this syslog configuration.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the description for this syslog configuration.
      Parameters:
        `description` - the description for this syslog configuration.

    - #### withDescription

          public SyslogConfiguration withDescription(java.lang.String description)

      Set the description for this syslog configuration.
      Parameters:
        `description` - the description for this syslog configuration.
      Returns:
        the updated syslog configuration object.

    - #### getServer

          public java.lang.String getServer()

      The destination server for syslog messages.
      Returns:
        the destination server for syslog messages.

    - #### setServer

          public void setServer(java.lang.String server)

      Set the destination server for syslog messages.
      Parameters:
        `port` - the destination server for syslog messages.

    - #### withServer

          public SyslogConfiguration withServer(java.lang.String server)

      Set the destination server for syslog messages.
      Parameters:
        `port` - the destination server for syslog messages.
      Returns:
        the updated syslog configuration object.

    - #### getPort

          public java.lang.Integer getPort()

      The destination port for syslog messages.
      Returns:
        the destination port for syslog messages.

    - #### setPort

          public void setPort(java.lang.Integer port)

      Set the destination port for syslog messages.
      Parameters:
        `port` - the destination port for syslog messages.

    - #### withPort

          public SyslogConfiguration withPort(java.lang.Integer port)

      Set the destination port for syslog messages.
      Parameters:
        `port` - the destination port for syslog messages.
      Returns:
        the updated syslog configuration object.

    - #### getTransport

          public SyslogConfiguration.Transport getTransport()

      The transport to use when sending syslog messages.
      Returns:
        the transport to use when sending syslog messages.

    - #### setTransport

          public void setTransport(SyslogConfiguration.Transport transport)

      Set the transport to use when sending syslog messages.
      Parameters:
        `transport` - the transport to use when sending syslog messages.

    - #### withTransport

          public SyslogConfiguration withTransport(SyslogConfiguration.Transport transport)

      Set the transport to use when sending syslog messages.
      Parameters:
        `transport` - the transport to use when sending syslog messages.
      Returns:
        the updated syslog configuration object.

    - #### getEventFormat

          public SyslogConfiguration.EventFormat getEventFormat()

      The event format to use when sending syslog messages.
      Returns:
        the event format to use when sending syslog messages.

    - #### setEventFormat

          public void setEventFormat(SyslogConfiguration.EventFormat eventFormat)

      Set the event format to use when sending syslog messages.
      Parameters:
        `eventFormat` - the event format to use when sending syslog messages.

    - #### withEventFormat

          public SyslogConfiguration withEventFormat(SyslogConfiguration.EventFormat eventFormat)

      Set the event format to use when sending syslog messages.
      Parameters:
        `eventFormat` - the event format to use when sending syslog messages.
      Returns:
        the updated syslog configuration object.

    - #### getFacility

          public SyslogConfiguration.Facility getFacility()

      The facility value to send with each syslog message.
      Returns:
        the facility value to send with each syslog message.

    - #### setFacility

          public void setFacility(SyslogConfiguration.Facility facility)

      Set the facility value to send with each syslog message.
      Parameters:
        `facility` - the facility value to send with each syslog message.

    - #### withFacility

          public SyslogConfiguration withFacility(SyslogConfiguration.Facility facility)

      Set the facility value to send with each syslog message.
      Parameters:
        `facility` - the facility value to send with each syslog message.
      Returns:
        the updated syslog configuration object.

    - #### getPrivateKey

          public java.lang.String getPrivateKey()

      The private key the Deep Security Manager will use when it contacts the syslog server over TLS.

      The private key must be an RSA key in PEM-encoded PKCS#1 or PKCS#8 format.

      To prevent accidental disclosure of the private key, the Deep Security Manager will not return this value; it can only be used to set the private key.

      Returns:
        the private key the Deep Security Manager will use when it contacts the syslog server over TLS.

    - #### setPrivateKey

          public void setPrivateKey(java.lang.String privateKey)

      Set the private key the Deep Security Manager will use when it contacts the syslog server over TLS.

      The private key must be an RSA key in PEM-encoded PKCS#1 or PKCS#8 format.

      To prevent accidental disclosure of the private key, the Deep Security Manager will not return this value; it can only be used to set the private key.

      Parameters:
        `privateKey` - the private key the Deep Security Manager will use when it contacts the syslog server over TLS.

    - #### withPrivateKey

          public SyslogConfiguration withPrivateKey(java.lang.String privateKey)

      Set the private key the Deep Security Manager will use when it contacts the syslog server over TLS.

      The private key must be an RSA key in PEM-encoded PKCS#1 or PKCS#8 format.

      To prevent accidental disclosure of the private key, the Deep Security Manager will not return this value; it can only be used to set the private key.

      Parameters:
        `privateKey` - the private key the Deep Security Manager will use when it contacts the syslog server over TLS.
      Returns:
        the updated syslog configuration object.

    - #### getCertificateChain

          public java.util.List<java.lang.String> getCertificateChain()

      The identity certificate chain the Deep Security Manager will use when it contacts the syslog server over TLS.

      The identity certificate must be the first certificate in the list, followed by the certificate for the issuing certificate authority (if any) and continuing up the issuer chain. The root certificate authority's certificate does not need to be included.

      Each element in the list will be an unencrypted PEM-encoded certificate.

      Returns:
        the identity certificate chain the Deep Security Manager will use when it contacts the syslog server over TLS.
      See Also:
        RFC 5280

    - #### setCertificateChain

          public void setCertificateChain(java.util.List<java.lang.String> certificateChain)

      Set the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.

      The identity certificate must be the first certificate in the list, followed by the certificate for the issuing certificate authority (if any) and continuing up the issuer chain. The root certificate authority's certificate does not need to be included.

      Each element in the list should be an unencrypted PEM-encoded certificate.

      Parameters:
        `certificateChain` - the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.
      See Also:
        RFC 5280

    - #### withCertificateChain

          public SyslogConfiguration withCertificateChain(java.util.List<java.lang.String> certificateChain)

      Set the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.

      The identity certificate must be the first certificate in the list, followed by the certificate for the issuing certificate authority (if any) and continuing up the issuer chain. The root certificate authority's certificate does not need to be included.

      Each element in the list should be an unencrypted PEM-encoded certificate.

      Parameters:
        `certificateChain` - the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.
      Returns:
        the updated syslog configuration object.
      See Also:
        RFC 5280

    - #### withCertificateChain

          public SyslogConfiguration withCertificateChain(java.lang.String... certificateChain)

      Set the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.

      The identity certificate must be the first certificate in the list, followed by the certificate for the issuing certificate authority (if any) and continuing up the issuer chain. The root certificate authority's certificate does not need to be included.

      Each element in the list should be an unencrypted PEM-encoded certificate.

      Parameters:
        `certificateChain` - the identity certificate chain for the Deep Security Manager to use when it contacts the syslog server over TLS.
      Returns:
        the updated syslog configuration object.
      See Also:
        RFC 5280

    - #### getDirect

          public java.lang.Boolean getDirect()

      The "direct delivery from agent to syslog server" flag.
      Returns:
        `true` if syslog messages should be sent directly from the agent to the syslog server. Otherwise messages will be relayed via the Deep Security Manager.

    - #### setDirect

          public void setDirect(java.lang.Boolean direct)

      Set the "direct delivery from agent to syslog server" flag.
      Parameters:
        `direct` - `true` if syslog messages should be sent directly from the agent to the syslog server. Otherwise messages will be relayed via the Deep Security Manager.

    - #### withDirect

          public SyslogConfiguration withDirect(java.lang.Boolean direct)

      Set the "direct delivery from agent to syslog server" flag.
      Parameters:
        `direct` - `true` if syslog messages should be sent directly from the agent to the syslog server. Otherwise messages will be relayed via the Deep Security Manager.
      Returns:
        the updated syslog configuration object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.